diff --git a/subversion.spec b/subversion.spec
index 739b278..364e68f 100644
--- a/subversion.spec
+++ b/subversion.spec
@@ -24,13 +24,14 @@
 %define make_check 0
 
 %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)
+%define __python /usr/bin/python2.6
 %define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')
 %{!?_without_ruby:%define ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')}
 
 Summary: Modern Version Control System designed to replace CVS
 Name: subversion
 Version: 1.6.15
-Release: 0.1%{?dist}
+Release: 0.1%{?dist}.1
 License: BSD
 Group: Development/Tools
 URL: http://subversion.tigris.org/
@@ -63,8 +64,8 @@ BuildRequires: gettext
 BuildRequires: libtool
 BuildRequires: neon-devel >= 0.24.7-1
 BuildRequires: openssl-devel
-BuildRequires: python
-BuildRequires: python-devel
+BuildRequires: python26
+BuildRequires: python26-devel
 BuildRequires: texinfo
 BuildRequires: which
 #%{!?_without_swig:BuildRequires: swig >= 1.3.21-5}
@@ -154,7 +155,7 @@ echo _without_swig: %_without_swig
 %if %{!?_without_swig:1}0
 cd swig-%{swig_version}
 [ ! -r configure ] && ./autogen.sh
-%configure --prefix="$(pwd)/install" --exec-prefix="$(pwd)/install" --bindir="$(pwd)/install/bin" --datadir="$(pwd)/install/share" --mandir="$(pwd)/install/man"
+%configure --prefix="$(pwd)/install" --exec-prefix="$(pwd)/install" --bindir="$(pwd)/install/bin" --datadir="$(pwd)/install/share" --mandir="$(pwd)/install/man" --with-python=%{__python}
 %{__make}
 %{__make} install
 cd -
@@ -173,7 +174,7 @@ export svn_cv_ruby_link="%{__cc} -shared"
 export svn_cv_ruby_sitedir_libsuffix=""
 export svn_cv_ruby_sitedir_archsuffix=""
 
-export CC=gcc CXX=g++ %{?_with_java:JAVA_HOME=%{jdk_path}} CFLAGS="$RPM_OPT_FLAGS"
+export CC=gcc CXX=g++ %{?_with_java:JAVA_HOME=%{jdk_path}} CFLAGS="$RPM_OPT_FLAGS" %{!?_without_swig:PYTHON=%{__python}}
 %configure \
     --disable-mod-activation \
     --disable-neon-version-check \
